Skip to main content
GET
/
v2
/
open-banking
/
institutions
/
{institution_id}
Retrieve an institution
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/open-banking/institutions/{institution_id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": 10,
  "name": "Discover Card (All Account Types)",
  "trans_agg": true,
  "ach": true,
  "state_agg": true,
  "voi": true,
  "voa": true,
  "aha": false,
  "avail_balance": true,
  "account_owner": true,
  "student_loan_data": false,
  "loan_payment_details": false,
  "account_type_description": "Credit Cards/Accounts",
  "phone": "1-800-DISCOVER",
  "url_home_app": "www.discovercard.com",
  "url_logon_app": "https://www.discover.com/login/",
  "oauth_enabled": false,
  "url_forgot_password": "https://bank.discover.com/bankac/loginreg/loadloginassist?Aff=Bank",
  "url_online_registration": "",
  "special_text": "Please enter your Discover Card personalized User ID and Password required to login.",
  "time_zone": null,
  "special_instructions": [],
  "special_instutions_title": null,
  "address": {
    "city": "Wilmington",
    "state": "DE",
    "country": "USA",
    "postal_code": "19886",
    "address_line1": "",
    "address_line2": ""
  },
  "currency": "USD",
  "email": "https://customerservice.novusnet.com/EMS/html/usemsform.html",
  "status": "online",
  "new_institution": 0,
  "branding": {
    "logo": "https://prod-carpintero-branding.s3.us-west-2.amazonaws.com/10/logo.svg",
    "alternate_logo": "https://prod-carpintero-branding.s3.us-west-2.amazonaws.com/10/alternateLogo.svg",
    "icon": "https://prod-carpintero-branding.s3.us-west-2.amazonaws.com/10/icon.svg",
    "primary_color": "#115892",
    "tile": "https://prod-carpintero-branding.s3.us-west-2.amazonaws.com/10/tile.svg"
  },
  "oauth_institution": 0,
  "class": "creditCards"
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

institution_id
string
required

ID of the financial institution.

Response

200 - application/json

The response is of type object.